Scilab Function
fr - eng
create_palette - Palette generator

### Module

- Scicos

### Description

This function generates a palette if Path is a string indicating the directoy in which the interfacing functions of the blocks are to be found. If Path is not present or if it is %t, then standard scicos palettes are regenerated. If %f, then only IntFunc (list of interfacing functions) is returned. List of routines is empty in this case.

### Calling Sequence

    [routines,IntFunc] = create_palette(Path)

### Parameters

- Path : a string given the directory path that contains Scicos blocks interfacing functions.
- routines : a vector of strings that contains names of computational functions used in scicos blocks.
- IntFunc : a vector of strings that contains names of interfacing functions used in scicos blocks.

### File content

- SCI/macros/util/create_palette.sci [view code]